## kremotecontrol 4.13.3

=== CMakeLists.txt ===
project(kremotecontrol)

if(NOT UNIX)
  message(FATAL_ERROR "KRemoteControl is only supposed to be built on Unix platforms.")
endif(NOT UNIX)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories(${KDE4_INCLUDES})

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

# If definitions like -D_GNU_SOURCE are needed for these checks they
# should be added to _KDE4_PLATFORM_DEFINITIONS when it is originally
# defined outside this file.  Here we include these definitions in
# CMAKE_REQUIRED_DEFINITIONS so they will be included in the build of
# checks below.
set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})

macro_log_feature(QT_QTXMLPATTERNS_FOUND "QtXmlPatterns" "Qt support for XPath, XQuery, XSLT and XML Schema validation" "http://doc.trolltech.com/latest/qtxmlpatterns.html" TRUE "" "Required to build kremotecontrol.")

macro_display_feature_log()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(libkremotecontrol)
add_subdirectory(kcmremotecontrol)
add_subdirectory(profiles)
add_subdirectory(kded)
add_subdirectory(krcdnotifieritem)
add_subdirectory(dataengine)

if(KDE4_BUILD_TESTS)
  add_subdirectory(tests)
endif(KDE4_BUILD_TESTS)

add_subdirectory(doc)

=== dataengine/CMakeLists.txt ===
find_package(KDE4 REQUIRED)
find_package(Qt4 REQUIRED)

include(KDE4Defaults)
include(${QT_USE_FILE})
include_directories(
  ${CMAKE_SOURCE_DIR} 
  ${CMAKE_BINARY_DIR} 
  ${KDE4_INCLUDES} 
  ${PLASMA_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../libkremotecontrol
)

set(kremoteconrol_engine_SRCS
    kremotecontrolengine.cpp
)

kde4_add_plugin(plasma_engine_kremoteconrol ${kremoteconrol_engine_SRCS})

target_link_libraries(plasma_engine_kremoteconrol ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} libkremotecontrol)

install(TARGETS plasma_engine_kremoteconrol DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-engine-kremotecontrol.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== kded/CMakeLists.txt ===

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../libkremotecontrol
   )

set(kded_kremotecontroldaemon_SRCS
   kremotecontroldaemon.cpp
   )

set(krcd_xml org.kde.krcd.xml)


qt4_add_dbus_adaptor( kded_kremotecontroldaemon_SRCS org.kde.krcd.xml kremotecontroldaemon.h KRemoteControlDaemon)


kde4_add_plugin(kded_kremotecontroldaemon ${kded_kremotecontroldaemon_SRCS})
target_link_libraries(kded_kremotecontroldaemon
   ${KDE4_KDECORE_LIBS}
   ${KDE4_KDEUI_LIBS}
   libkremotecontrol
)

install(TARGETS kded_kremotecontroldaemon DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kremotecontroldaemon.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES kremotecontroldaemon.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kremotecontroldaemon )

=== profiles/CMakeLists.txt ===
########### install files ###############

install( FILES
	profile.xsd
	amarok.profile.xml
	dragonplayer.profile.xml
	klauncher.profile.xml
	kmix.profile.xml
	konqueror.profile.xml
	kscd.profile.xml
	okular.profile.xml
	powermanagement.profile.xml
	tomahawk.profile.xml
	vlc.profile.xml
	vlc2.profile.xml
	DESTINATION ${DATA_INSTALL_DIR}/kremotecontrol/profiles)

=== tests/CMakeLists.txt ===
ENABLE_TESTING() 
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
link_directories(${CMAKE_BINARY_DIR}/libkremotecontrol/ ${CMAKE_CURRENT_BINARY_DIR})


include_directories(
  ${KDE4_INCLUDES}	${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../libkremotecontrol/
  ${CMAKE_CURRENT_BINARY_DIR}/../libkremotecontrol/
)


# set(kdelirctest_SRCS kdelirctest.cpp profiletest.cpp)

# kde4_add_unit_test(kdelirctest TESTNAME kdelirctest ${kdelirctest_SRCS})
set(profileTest_SRCS  profiletest.cpp)
set(remoteTest_SRCS  remotetest.cpp)

kde4_add_unit_test(profileTest TESTNAME profileTest ${profileTest_SRCS})
kde4_add_unit_test(remoteTest TESTNAME remoteTest ${remoteTest_SRCS})

target_link_libraries(
  profileTest
  libkremotecontrol   
  ${QT_QTCORE_LIBRARY} 
  ${QT_QTTEST_LIBRARY}  
)

target_link_libraries(
  remoteTest
  libkremotecontrol   
  ${QT_QTCORE_LIBRARY} 
  ${QT_QTTEST_LIBRARY}  
)

=== libkremotecontrol/backends/lirc/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BUILD_DIR}
)

set(kremotecontrol_lirc_PART_SRCS
    lircclient.cpp
    lircremotecontrol.cpp
    lircremotecontrolmanager.cpp
)

kde4_add_library(kremotecontrol_lirc_static STATIC ${kremotecontrol_lirc_PART_SRCS})
target_link_libraries(kremotecontrol_lirc_static ${KDE4_KDECORE_LIBS} libkremotecontrol)

kde4_add_plugin(kremotecontrol_lirc module.cpp ${kremotecontrol_lirc_PART_SRCS})

target_link_libraries(kremotecontrol_lirc ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} libkremotecontrol)
install(TARGETS kremotecontrol_lirc DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kremotecontrol_lirc.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kremotecontrolbackends )

## kremotecontrol 4.8.2

=== debian/changelog ===
kremotecontrol (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:07 +0100

kremotecontrol (4:4.8.2-0ubuntu1) precise; urgency=low

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Apr 2012 08:52:05 +0000

kremotecontrol (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:50:53 +0100

kremotecontrol (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:44 +0000

kremotecontrol (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:42 +0000

kremotecontrol (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
    - drop remove_workspace.patch, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 23:21:50 +0100

kremotecontrol (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 16:02:59 +0000

=== debian/control ===
Source: kremotecontrol
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libxtst-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

Package: kremotecontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Replaces: kdelirc (<< 4:4.6)
Breaks: kdelirc (<< 4:4.6)
Description: frontend for using remote controls
 KRemoteControl is a KDE frontend for your remote controls. It allows you
 to configure actions for button presses on remotes. All types of remotes
 supported by Solid are also supported by KRemoteControl.
 .
 KRemoteControl consists of the following parts:
  * a control module that allows one to create and assign actions.
  * a kded module responsible for executing the actions.
  * a system tray applet for visual feedback.
  * a plasma data engine for interacting with remotes from plasmoids.
 .
 This package is part of the KDE SC utilities module.

Package: kdelirc
Section: utils
Architecture: all
Depends: kremotecontrol (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kremotecontrol
 This is a transitional package provided to ease upgrade from kdelirc
 to the new kremotecontrol. You can safely remove it if you want.
 .
 This package is part of the KDE SC utilities module.

## kremotecontrol 4.8.4

=== debian/changelog ===
kremotecontrol (4:4.8.4-3) unstable; urgency=low

  * Team upload.
  * Readd kdelirc transitional package lost in the split.
  * Simplify copyright.
  * Readd lirc recommend lost in the split.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Jun 2012 18:18:21 +0200

kremotecontrol (4:4.8.4-2) unstable; urgency=low

  * The "I missed the epoch" release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 21 Jun 2012 13:55:23 -0300

kremotecontrol (4.8.4-1) unstable; urgency=low

  * Initial packaging, split from kdeutils.
  * Update Standards-Version to 3.9.3, no changes needed.
  * Add a watch file.
  * Add myself to Uploaders.
  * Create a -dbg package:
    - Breaks+Replaces kdeutils-dbg << 4:4.8.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 18 Jun 2012 17:36:48 -0300

=== debian/control ===
Source: kremotecontrol
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), libx11-dev, libxtst-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kremotecontrol.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kremotecontrol.git

Package: kremotecontrol
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Description: frontend for using remote controls
 KRemoteControl is a KDE frontend for your remote controls. It allows you
 to configure actions for button presses on remotes. All types of remotes
 supported by Solid are also supported by KRemoteControl.
 .
 KRemoteControl consists of the following parts:
  * a control module that allows one to create and assign actions.
  * a kded module responsible for executing the actions.
  * a system tray applet for visual feedback.
  * a Plasma data engine for interacting with remotes from Plasma widgets.
 .
 This package is part of the KDE SC utilities module.

Package: kdelirc
Section: oldlibs
Architecture: all
Priority: extra
Depends: kremotecontrol (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kremotecontrol
 This is a transitional package provided to ease upgrade from kdelirc
 to the new kremotecontrol.  It can be safely removed.
 .
 This package is part of the KDE SC utilities module.

Package: kremotecontrol-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kremotecontrol (= ${binary:Version}), ${misc:Depends}
Breaks: kdeutils-dbg (<< 4:4.8)
Replaces: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for kremotecontrol
 This package contains debugging files used to investigate problems with
 kremotecontrol.
 .
 This package is part of the KDE accessibility module.

## kremotecontrol 4.8.5

=== debian/changelog ===
kremotecontrol (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:51:49 +0200

kremotecontrol (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:40:17 +0200

kremotecontrol (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 May 2012 20:35:36 +0200

=== debian/control ===
Source: kremotecontrol
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libxtst-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

Package: kremotecontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Replaces: kdelirc (<< 4:4.6)
Breaks: kdelirc (<< 4:4.6)
Description: frontend for using remote controls
 KRemoteControl is a KDE frontend for your remote controls. It allows you
 to configure actions for button presses on remotes. All types of remotes
 supported by Solid are also supported by KRemoteControl.
 .
 KRemoteControl consists of the following parts:
  * a control module that allows one to create and assign actions.
  * a kded module responsible for executing the actions.
  * a system tray applet for visual feedback.
  * a plasma data engine for interacting with remotes from plasmoids.
 .
 This package is part of the KDE SC utilities module.

Package: kdelirc
Section: utils
Architecture: all
Depends: kremotecontrol (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kremotecontrol
 This is a transitional package provided to ease upgrade from kdelirc
 to the new kremotecontrol. You can safely remove it if you want.
 .
 This package is part of the KDE SC utilities module.

## kremotecontrol 4.9.2

=== debian/changelog ===
kremotecontrol (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:31:18 +0100

kremotecontrol (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:36:19 +0530

kremotecontrol (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:30:13 +0100

kremotecontrol (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:35:59 +0200

kremotecontrol (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 16:45:57 +0100

kremotecontrol (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 May 2012 20:35:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), libxtst-dev
+ kdelibs5-dev (>= 4:4.9.2), libxtst-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

## kremotecontrol 4.9.4

=== debian/changelog ===
kremotecontrol (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 01:00:12 +0100

kremotecontrol (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:39:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libxtst-dev
+ kdelibs5-dev (>= 4:4.9.4), libxtst-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

## kremotecontrol 4.9.5

=== debian/changelog ===
kremotecontrol (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:40:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4), libxtst-dev
+ kdelibs5-dev (>= 4:4.9.5), libxtst-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

## kremotecontrol 4.10.0

=== debian/changelog ===
kremotecontrol (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:01:07 +0000

kremotecontrol (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:49:36 +0000

kremotecontrol (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:40:55 +0100

kremotecontrol (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Philip Muškovac ]
  * update kremotecontrol.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:37:20 +0000

kremotecontrol (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:03:29 +0000

kremotecontrol (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Jonathan Kolberg ]
  * Add vlc2 profile to installed files

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Wed, 21 Nov 2012 19:53:15 +0100

kremotecontrol (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:39:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5), libxtst-dev
+ kdelibs5-dev (>= 4:4.10.0), libxtst-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

## kremotecontrol 4.10.2

=== debian/changelog ===
kremotecontrol (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:54:48 +0200

kremotecontrol (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Drop obsolete lintian-overrides file from kdeutils
  * Move kdelirc transitional package to oldlibs/extra to make lintian happy

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:36:02 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libxtst-dev
+ kdelibs5-dev (>= 4:4.10.2), libxtst-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
@@ -32,7 +32,8 @@
  This package is part of the KDE SC utilities module.
 
 Package: kdelirc
-Section: utils
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: kremotecontrol (>= ${source:Version}), ${misc:Depends}
 Description: transitional package for kremotecontrol

## kremotecontrol 4.10.5

=== debian/changelog ===
kremotecontrol (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:44:32 +0200

kremotecontrol (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:34:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libxtst-dev
+ kdelibs5-dev (>= 4:4.10.5), libxtst-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

## kremotecontrol 4.11.2

=== debian/changelog ===
kremotecontrol (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:36:29 +0100

kremotecontrol (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:29:37 +0100

kremotecontrol (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:25:18 +0100

kremotecontrol (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:47:04 +0100

kremotecontrol (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:55 +0000

kremotecontrol (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:21:05 +0100

kremotecontrol (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:30:41 +0100

kremotecontrol (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:39:57 +0100

kremotecontrol (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:50 +0000

kremotecontrol (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Update Uploaders.
  * Update installed files.
  * Minor touches to the descriptions.
  * Small copyright improvement.

 -- Sune Vuorela <sune@debian.org>  Thu, 11 Apr 2013 21:31:56 +0000

=== debian/control ===
Source: kremotecontrol
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), libx11-dev, libxtst-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kremotecontrol.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kremotecontrol.git

Package: kremotecontrol
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Description: frontend for using remote controls
 KRemoteControl is a KDE frontend for your remote controls. It allows you
 to configure actions for button presses on remotes. All types of remotes
 supported by Solid are also supported by KRemoteControl.
 .
 KRemoteControl consists of the following parts:
  * a control module that allows one to create and assign actions.
  * a kded module responsible for executing the actions.
  * a system tray applet for visual feedback.
  * a Plasma data engine for interacting with remotes from Plasma widgets.
 .
 This package is part of the KDE utilities module.

Package: kdelirc
Section: oldlibs
Architecture: all
Priority: extra
Depends: kremotecontrol (>= 4:4.10.80), ${misc:Depends}
Description: transitional package for kremotecontrol
 This is a transitional package provided to ease upgrade from kdelirc
 to the new kremotecontrol.  It can be safely removed.
 .
 This package is part of the KDE utilities module.

Package: kremotecontrol-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kremotecontrol (= ${binary:Version}), ${misc:Depends}
Breaks: kdeutils-dbg (<< 4:4.8)
Replaces: kdeutils-dbg (<< 4:4.8)
Description: debugging symbols for kremotecontrol
 This package contains debugging files used to investigate problems with
 kremotecontrol.
 .
 This package is part of the KDE utilities module.

## kremotecontrol 4.12.3

=== debian/changelog ===
kremotecontrol (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:44:21 +0100

kremotecontrol (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:04:08 +0100

kremotecontrol (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:11:31 +0000

kremotecontrol (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:26:41 +0000

kremotecontrol (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:21:31 +0000

kremotecontrol (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:21:28 +0000

kremotecontrol (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:18:35 +0100

kremotecontrol (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libx11-dev, libxtst-dev
+ kdelibs5-dev (>= 4:4.12.3), libx11-dev, libxtst-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

## kremotecontrol 4.13.0

=== debian/changelog ===
kremotecontrol (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:12:42 +0100

kremotecontrol (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:38:23 +0200

kremotecontrol (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:39:07 +0100

kremotecontrol (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:09:55 +0000

kremotecontrol (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libx11-dev, libxtst-dev
+ kdelibs5-dev (>= 4:4.13.0), libx11-dev, libxtst-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kremotecontrol-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kremotecontrol-([\d\.]*).tar.xz

## kremotecontrol 4.13.3

=== debian/changelog ===
kremotecontrol (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:32:56 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libx11-dev, libxtst-dev
+ kdelibs5-dev (>= 4:4.13.3), libx11-dev, libxtst-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol

## kremotecontrol 4.14.1

=== debian/changelog ===
kremotecontrol (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:29:44 +0200

kremotecontrol (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:20:46 +0200

kremotecontrol (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:04:18 +0200

kremotecontrol (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:30:48 +0200

kremotecontrol (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:24:24 +0200

kremotecontrol (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:57 +0100

kremotecontrol (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:35 +0200

kremotecontrol (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:37 +0100

kremotecontrol (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:59 +0100

kremotecontrol (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 00:27:43 +0100

kremotecontrol (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 11:59:32 +0200

kremotecontrol (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 09:22:30 +0200

kremotecontrol (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 19:46:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,32 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>,
- Modestas Vainius <modax@debian.org>,
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
- Eshat Cakar <info@eshat.de>,
- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10),
- cmake, debhelper (>= 8.0.0), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.3), libx11-dev, libxtst-dev
-Standards-Version: 3.9.3
+Uploaders: Fathi Boudra <fabo@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           George Kiagiadakis <kiagiadakis.george@gmail.com>,
+           Eshat Cakar <info@eshat.de>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev (>= 4:4.14.1),
+               libx11-dev,
+               libxtst-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kremotecontrol.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kremotecontrol.git
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kremotecontrol.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kremotecontrol.git
 
 Package: kremotecontrol
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: lirc
 Description: frontend for using remote controls
  KRemoteControl is a KDE frontend for your remote controls. It allows you
@@ -40,7 +47,7 @@
 Section: oldlibs
 Architecture: all
 Priority: extra
-Depends: kremotecontrol (>= 4:4.10.80), ${misc:Depends}
+Depends: kremotecontrol (>= ${source:Version}), ${misc:Depends}
 Description: transitional package for kremotecontrol
  This is a transitional package provided to ease upgrade from kdelirc
  to the new kremotecontrol.  It can be safely removed.

## kremotecontrol 4.14.2

=== debian/changelog ===
kremotecontrol (4:4.14.2-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Maximiliano Curia ]
  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:20 +0200

kremotecontrol (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jul 2014 11:17:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: kremotecontrol
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kremotecontrol
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kremotecontrol.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kremotecontrol.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kremotecontrol.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kremotecontrol.git
 
 Package: kremotecontrol
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kremotecontrol-([\d.]+).tar.xz

## kremotecontrol 14.12.3

=== debian/changelog ===
kremotecontrol (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:28:19 -0700

kremotecontrol (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:31:25 -0800

kremotecontrol (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:09:02 +0100

kremotecontrol (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Nov 2014 19:23:43 +0100

kremotecontrol (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:58:55 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kremotecontrol
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,15 +11,15 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kremotecontrol.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kremotecontrol.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kremotecontrol.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kremotecontrol.git
 
 Package: kremotecontrol
 Architecture: any

## kremotecontrol 15.08.2

=== debian/changelog ===
kremotecontrol (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:41:34 +0100

kremotecontrol (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:18:20 +0100

kremotecontrol (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:35:33 +0100

kremotecontrol (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:52:36 +0100

kremotecontrol (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:18:40 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kremotecontrol.git/

## kremotecontrol 15.12.3

=== debian/changelog ===
kremotecontrol (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:45:41 -0700

kremotecontrol (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * Merged with Debian 
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:01:41 +0100

kremotecontrol (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:29 +0200

kremotecontrol (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:26 +0200

kremotecontrol (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 11:32:11 +0100

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
+               libqt4-dev,
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kremotecontrol.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kremotecontrol.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kremotecontrol.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kremotecontrol.git
 
 Package: kremotecontrol
 Architecture: any

## kremotecontrol 16.08.3

=== debian/changelog ===
kremotecontrol (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:16:01 +0100

kremotecontrol (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Force the local installation to debian/kremotecontrol, so there is no need
    to copy things later from debian/tmp:
    - manually remove the files that are not needed
    - remove kremotecontrol.install, no more used now
    - remove not-installed, no more used now
  * Do not ship TODO as documentation, since it is useless for users.

 -- Pino Toscano <pino@debian.org>  Wed, 24 Aug 2016 19:31:14 +0200

kremotecontrol (4:15.08.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 21:11:31 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,10 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kremotecontrol.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kremotecontrol.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kremotecontrol.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kremotecontrol.git
 
 Package: kremotecontrol
 Architecture: any
@@ -49,16 +49,3 @@
  to the new kremotecontrol.  It can be safely removed.
  .
  This package is part of the KDE utilities module.
-
-Package: kremotecontrol-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: kremotecontrol (= ${binary:Version}), ${misc:Depends}
-Breaks: kdeutils-dbg (<< 4:4.8)
-Replaces: kdeutils-dbg (<< 4:4.8)
-Description: debugging symbols for kremotecontrol
- This package contains debugging files used to investigate problems with
- kremotecontrol.
- .
- This package is part of the KDE utilities module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/kremotecontrol
	# remove dev .so symlinks, we aren't shipping dev suff for these
	find debian/kremotecontrol -name '*.so' -type l -print -delete

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kremotecontrol-dbg (<= 4:15.08.0-2~1.gbp1763e6~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kremotecontrol-([\d.]+).tar.xz

## kremotecontrol 16.12.3

=== debian/changelog ===
kremotecontrol (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:45 +0000

kremotecontrol (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:15:24 +0000

kremotecontrol (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes.

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:53 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
                libqt4-dev,
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kremotecontrol.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kremotecontrol.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kremotecontrol
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kremotecontrol
 
 Package: kremotecontrol
 Architecture: any
@@ -49,3 +49,16 @@
  to the new kremotecontrol.  It can be safely removed.
  .
  This package is part of the KDE utilities module.
+
+Package: kremotecontrol-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: kremotecontrol (= ${binary:Version}), ${misc:Depends}
+Breaks: kdeutils-dbg (<< 4:4.8)
+Replaces: kdeutils-dbg (<< 4:4.8)
+Description: debugging symbols for kremotecontrol
+ This package contains debugging files used to investigate problems with
+ kremotecontrol.
+ .
+ This package is part of the KDE utilities module.

## kremotecontrol 17.04.3

=== debian/changelog ===
kremotecontrol (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:45 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                libqt4-dev,
                libx11-dev,
                libxtst-dev,
